<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="author" content="Stiven Ortega-K2">
    <link rel="icon" type="image/png" href="{{ url('img/logo_stp.svg') }}">
    <title> Login</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.tailwindcss.com"></script>
    <style type="text/tailwindcss">
        @layer utilities {
          .fondo{
            background: #011e26;
          }
          .carta{
            background: #F2EDE7;
            box-shadow: 4px 4px 6px rgba(214, 223, 242, 0.5);
            border-radius: 15px;
          }.input-form{
            background: linear-gradient(0deg, #FFFFFF, #FFFFFF),
            linear-gradient(0deg, #E7DACC, #E7DACC);
            border-radius: 50px;
            box-shadow: 4px 4px 6px rgba(214, 223, 242, 0.5);
          }.btn-login{
            border-radius: 5px;
          }
          .btn_login{
            background-image: url(/img/btn_login.svg);
            background-size: cover;
            width: 145px;
            height: 35px;
            background-repeat: no-repeat;
            background-size: contain;
          }
        }
      </style>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        principal: '#F64D0B',
                        secundario: '#011E26',
                        tercero: '#858585',
                        boton: '#3F3F8E',
                        blanco: '#FFFFFF'
                    }
                }
            }
        }
    </script>
</head>

<body>
    <div class="flex flex-wrap-reverse">

        <div class="flex flex-row bg-white scroll-pl-6 snap-x w-50 sm:flex-col sm:w-40 p-1 sm:p-8 z-10">
            <div class="snap-start flex w-1/6 grow sm:w-auto sm:grow-0 justify-center p-2">
                <img class="hover:scale-125" src="img/logo_cbp.svg" alt="CBP icono">
            </div>
            <div class="snap-start flex w-1/6 sm:w-auto grow justify-center p-2">
                <img class="items-center my-8 hover:scale-125 h-5/6" src="img/logo_stp.svg" alt="Logo STP">
            </div>
            <div class="snap-start flex w-1/6 sm:w-auto grow sm:grow-0 justify-center bottom-0 p-2">
                <img class="hover:scale-125" src="img/byK2.svg" alt="K2 icono">
            </div>
        </div>

        <div class="border grow h-screen fondo">
            <div class="flex ml-10 mt-14 w-2/6 py-5">
                <div class="carta z-10 inset-0 w-full my-8 py-5 px-2 min-w-max max-w-sm">
                    <div class="mt-8 text-center min-w-full">
                        <p class="text-principal text-3xl">Inicio de Sesión</p>
                    </div>
                    <div class="mt-2 text-center">
                        <p class="text-base text-secundario">Bienvenido a nuestro sistema</p>
                    </div>
                    <div class="text-center mb-4">
                        <p class="text-tercero text-sm">Plataforma de inteligencia y gestión de datos</p>
                    </div>
                    @if(Session::get('mensaje2'))
                    <div class="alert alert-{{Session::get('tipo2')}} alert-dismissible fade show" role="alert">
                        {!! Session::get('icono2') !!}
                        {{ Session::get('mensaje2') }}
                    </div>
                    @endif
                    <div class="flex flex-col space-y-4">
                        <form class="justify-center" role="form" action="validate" method="POST">
                            @csrf
                            <div class="flex justify-center my-4 h-9">
                                <input name="nick" class="z-10 input-form w-4/6 text-center" placeholder="Usuario" required>
                            </div>
                            <div class="flex justify-center h-9">
                                <input type="password" name="password" class="z-20 input-form text-center text-tercero w-4/6" placeholder="Contraseña" required>
                            </div>
                            <div class="form-group">
                                <br>
                                @if(Session::get('mensaje'))
                                <div class="alert text-center alert-{{Session::get('tipo')}} alert-dismissible fade show" role="alert">
                                    {!! Session::get('icono') !!}
                                    {{ Session::get('mensaje') }}
                                </div>
                                @endif
                            </div>
                            <div class="flex justify-center min-w-full my-2">
                                <input type="submit" value=" " class="btn_login">
                            </div>
                            <br>
                        </form>
                    </div>
                </div>
            </div>
            <div class="absolute inset-y-0 right-0 h-full">
                <img class="h-screen" src="{{ asset('img/fondo.png') }}" alt="Fondo">
            </div>
        </div>
    </div>
    </div>
    <img class="absolute top-0 right-0 w-2/6" src="{{ asset('img/icono_fondo.svg') }}">
    <img class="absolute bottom-0 right-0 w-2/6" src="{{ asset('img/icono_fondo.svg') }}">
</body>

</html>