<!DOCTYPE html>
<html>

<!DOCTYPE html>
<html>

<head>
    <link rel="icon" type="image/png" href="{{ url('img/logo_lfe.svg') }}">
    <!-- CSS only -->
    <!-- JavaScript Bundle with Popper -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.tailwindcss.com"></script>
    <style type="text/tailwindcss">
        @layer utilities {
          .titulo{
            color: #F64D0B;
          }
          .titulo2{
            color: white;
          }
        tbody{
            color: black;
        }
        label{
            color: white;
        }
        #tabla_info{
            color: white;
        }
        .fondo{
            background-image: url(/img/fondo.png);
            background-color: #011e26;
            background-repeat: no-repeat;
            background-attachment: fixed;
            background-size: cover;
            color: white;
        }
        }
      </style>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        fondo: '#F1F1F1',
                        primario: '#F64D0B',
                        secundario: '#ffffff'
                    }
                }
            }
        }
    </script>
    <link href="//cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css">
    <script src="//cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
</head>

<body class="fondo">
    <a href="logout" class="absolute left-2 top-2">
        <img class="w-2/3" src="{{ url('img/icono_salir.svg') }}" alt="Icono Salir">
    </a>
    <div class="absolute inset-y-0 right-0 h-1/4 invisible sm:visible">
        <img class="h-1/6 m-5" src="{{ url('img/logo_cbp.svg') }}" alt="Logo CBP">
    </div>
    <div class="grid gap-4 grid-cols-1 mt-20 m-8 sm:m-8">
        <div class="flex flex-row h-full justify-center p-3">
            <h1 class="text-center text-5xl font-bold text-white titulo underline underline-offset-8">
                Registros-
            </h1>
            <h1 class="text-center text-5xl font-bold text-white titulo2 underline underline-offset-8"> Cali Bike Park</h1>
        </div>
        <div class="grid grid-cols-7 gap-4">
            <div class="grid col-span-7 sm:col-span-1 border border-fondo text-center h-full place-items-center">
                <div>
                    <h3 class="text-xl">Total usuarios:</h3>
                    <p id="total"> </p>
                </div>
            </div>
            <div class="col-span-7 sm:col-span-3 border border-primario">
                <canvas id="ChartCiudad"></canvas>
            </div>
            <div class="col-span-7 sm:col-span-3 border border-fondo">
                <canvas id="ChartEspe"></canvas>
            </div>
            <!-- -->
            <div class="col-span-7 border border-fondo">
                <canvas id="ChartInteres"></canvas>
            </div>
        </div>
        <div class="overflow-x-auto">
            <table id="tabla" class="table-fixed border hover:relieve border-collapse border-slate-400  sm:w-full">
                <thead class="text-center">
                    <tr>
                        <th class="border w-auto">Nombre </th>
                        <th class="border w-1/3">Email</th>
                        <th class="border w-auto">Aportante</th>
                        <th class="border w-auto">Nivel</th>
                        <th class="border w-auto">Detalles</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>

    </div>
    <script type="module">
        import {
            initializeApp
        } from "https://www.gstatic.com/firebasejs/9.21.0/firebase-app.js";
        import {
            getFirestore,
            collection,
            getDocs
        } from "https://www.gstatic.com/firebasejs/9.21.0/firebase-firestore.js";
        import {
            getAuth,
            signInWithEmailAndPassword
        } from "https://www.gstatic.com/firebasejs/9.21.0/firebase-auth.js";

        const firebaseConfig = {
            apiKey: "AIzaSyDpmSHJZa194MnU-MWSYkUDo4rFvJdCUuM",
            authDomain: "fundacion-cbp.firebaseapp.com",
            projectId: "fundacion-cbp",
            storageBucket: "fundacion-cbp.appspot.com",
            messagingSenderId: "1092704161555",
            appId: "1:1092704161555:web:a07e046fa28041e59f14e6"
        };

        const app = initializeApp(firebaseConfig);
        const auth = getAuth(app);
        const db = getFirestore(app);
        signInWithEmailAndPassword(auth, "admin@admin.com", "adminCBP2023")
            .then(() => {
                const usersRef = collection(db, "users");
                getDocs(usersRef)
                    .then((querySnapshot) => {
                        var tableData = [],
                            countpreferencia = [],
                            countciudades = [],
                            counttipo_ingreso = [];
                        querySnapshot.forEach((doc) => {
                            const user = doc.data(),
                                id = doc.id;
                            console.log(user);
                            var nombre = user.nombre,
                                email = user.email,
                                deporte = user.deporte,
                                pista_favorita = user.pista_favorita,
                                aportante = user.aportante,
                                select_aportante = "<select id='selectAportante' data='" + id + "' class='form-control'>" +
                                "<option value='opcion2'>No Aportante</option>" +
                                "<option value='opcion1' selected>Aportante</option>" +
                                "</select>";
                            if (pista_favorita == undefined) {
                                pista_favorita = "por definir";
                            }
                            if (deporte == undefined) {
                                deporte = "por definir";
                            }
                            if (aportante == undefined) {
                                aportante = "No aportante";
                                select_aportante = "<select id='selectAportante' data='" + id + "' class='form-control'>" +
                                    "<option value='opcion2' selected>No Aportante</option>" +
                                    "<option value='opcion1'>Aportante</option>" +
                                    "</select>";
                            }
                            const nivel = "<select class='form-control'>" +
                                "<option value='uno'>Nivel 1</option>" +
                                "<option value='dos'>Nivel 2</option>" +
                                "<option value='tres'>Nivel 3</option>" +
                                "</select>";
                            const boton = "<button class='bg-transparent hover:bg-blue-500 text-blue-700 font-semibold hover:text-white py-2 px-4 border border-blue-500 hover:border-transparent rounded' onclick='prueba(\"" + id + "\")'> Detalles </button>";
                            tableData.push([
                                nombre,
                                email,
                                select_aportante,
                                nivel,
                                boton
                            ]);
                            countciudades.push(aportante);
                            counttipo_ingreso.push(deporte);
                            countpreferencia.push(pista_favorita);
                            
                        });
                        const resultadocountciudad = countciudades.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {})
                        const resultadotipo_ingreso = counttipo_ingreso.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {})
                        const resultadopreferencia = countpreferencia.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {})
                        grafica(resultadocountciudad, resultadotipo_ingreso, resultadopreferencia);
                        $("#total").text(tableData.length);
                        $('#tabla').DataTable({
                            buttons: [
                                'copy', 'excel', 'pdf'
                            ],
                            retrieve: true,
                            responsive: true,
                            data: tableData,
                            "scrollCollapse": true,
                            "language": {
                                "lengthMenu": "Mostrar _MENU_ usuarios por página",
                                "search": "Buscar",
                                "zeroRecords": "Sin Resultados Coincidentes",
                                "paginate": {
                                    "first": "Primera",
                                    "last": "Ultima",
                                    "next": "Siguiente",
                                    "previous": "Anterior"
                                },
                                "info": "Mostrando _START_ de _END_ de un total de _TOTAL_ Registros",
                                "infoFiltered": "( filtrado de _MAX_ registros totales )"
                            },
                            dom: 'Bfrtip',
                            buttons: [
                                'copy',
                                'csv',
                                'excel',
                                'pdf',
                                'print'
                            ]
                        });
                    })
                    .catch((error) => {
                        console.error("Error:", error);
                    });
            })
            .catch((error) => {
                console.error(error);
            });
    </script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.5.0/chart.min.js" integrity="sha512-asxKqQghC1oBShyhiBwA+YgotaSYKxGP1rcSYTDrB0U6DxwlJjU59B67U8+5/++uFjcuVM8Hh5cokLjZlhm3Vg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/chartjs-plugin-datalabels/2.0.0/chartjs-plugin-datalabels.min.js" integrity="sha512-R/QOHLpV1Ggq22vfDAWYOaMd5RopHrJNMxi8/lJu8Oihwi4Ho4BRFeiMiCefn9rasajKjnx9/fTQ/xkWnkDACg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script>
        function grafica(datosciudad, datost_ingreso, datosespecialidades) {
            const nombreest_ingreso = (Object.keys(datost_ingreso));
            const valort_ingreso = (Object.values(datost_ingreso));
            const nombresespecialidad = (Object.keys(datosespecialidades));
            const valorespecialidad = (Object.values(datosespecialidades));
            const datosCiudadArray = Object.entries(datosciudad).map(([nombre, cantidad]) => ({
                nombre,
                cantidad,
            }));

            datosCiudadArray.sort((a, b) => b.cantidad - a.cantidad);
            const topCiudades = datosCiudadArray.slice(0, 9);

            const nombreciudad = topCiudades.map(ciudad => ciudad.nombre);
            const valorciudad = topCiudades.map(ciudad => ciudad.cantidad);

            const colores = ['#e2a32b', '#3F86CB', '#F64D0B', '#4EADEB', '#A6CEE3', '#1F78B4', '#3cd9bc', '#B2DF8A', '#38761d', '#8fce00', '#4fce00'];
            const pieData_ciudad = {
                labels: nombreciudad,
                datasets: [{
                    data: valorciudad,
                    backgroundColor: colores,
                    hoverOffset: 4,
                }],
            };

            var pieCtx = document.getElementById('ChartCiudad').getContext('2d');

            var myPieChart = new Chart(pieCtx, {
                /* IMPORTANTE: cargamos el complemento */
                plugins: [ChartDataLabels],
                type: 'pie',
                data: pieData_ciudad,
                options: {
                    plugins: {
                        datalabels: {
                            anchor: "center",
                            formatter: (dato, contexto) => {
                                const numeros = (contexto.dataset.data);
                                let suma = 0;
                                for (let i = 0; i < numeros.length; i++) {
                                    suma += numeros[i];
                                }
                                const porcentaje = Math.round((dato / suma) * 100);

                                if (porcentaje < 3) {
                                    return "";
                                } else {
                                    return porcentaje + "%";
                                }
                                /*
                                                              return porcentaje + "%";*/
                            },
                            color: function(dato, contexto) {
                                const numeros = (dato.dataset.data);
                                const valor = (numeros[dato.dataIndex]);

                                let suma = 0;
                                for (let i = 0; i < numeros.length; i++) {
                                    suma += numeros[i];
                                }
                                const porcentaje = Math.round((valor / suma) * 100);
                                if (porcentaje < 3) {
                                    return "black";
                                } else {
                                    return "white";
                                }
                            },
                            font: {
                                family: '"Times New Roman", Times, serif',
                                size: "20",
                                weight: "bold",

                            },
                            anchor: 'end',
                            align: 'start',
                            offset: function(dato, contexto) {
                                const numeros = (dato.dataset.data);
                                const valor = (numeros[dato.dataIndex]);

                                let suma = 0;
                                for (let i = 0; i < numeros.length; i++) {
                                    suma += numeros[i];
                                }
                                const porcentaje = Math.round((valor / suma) * 100);
                                if (porcentaje < 3) {
                                    return -50;
                                } else {
                                    return 0;
                                }
                            },
                            clamp: true,
                            outside: true,
                            padding: 5,
                            textAlign: 'center',
                            drawBorder: true,
                            connector: {
                                color: 'black',
                                curviness: 0.5,
                                drawArrow: true,
                                arrowSize: 8,
                                length: 10,
                            }
                        },
                        title: {
                            color: 'white',
                            display: true,
                            text: 'Porcentaje De Aportantes'
                        }
                    }
                }
            });


            const pieData_espe = {
                labels: nombreest_ingreso,
                datasets: [{
                    data: valort_ingreso,
                    backgroundColor: colores,
                    hoverOffset: 4,
                }],
            };

            var espeCtx = document.getElementById('ChartEspe').getContext('2d');

            var espeChart = new Chart(espeCtx, {
                /* IMPORTANTE: cargamos el complemento */
                plugins: [ChartDataLabels],
                type: 'pie', // Cambia 'bar' a 'horizontalBar'
                data: pieData_espe,
                options: {
                    responsive: true,
                    maintainAspectRatio: false,
                    indexAxis: 'y',
                    elements: {
                        bar: {
                            borderWidth: 2,
                        }
                    },
                    plugins: {
                        datalabels: {
                            anchor: "center",
                            formatter: (dato, contexto) => {
                                const numeros = (contexto.dataset.data);
                                let suma = 0;
                                for (let i = 0; i < numeros.length; i++) {
                                    suma += numeros[i];
                                }
                                const porcentaje = Math.round((dato / suma) * 100);
                                return porcentaje + "%";
                            },
                            color: "white",
                            font: {
                                family: '"Times New Roman", Times, serif',
                                size: "14",
                                weight: "bold",
                            },
                        },
                        title: {
                            color: 'white',
                            display: true,
                            text: 'Intereses Por Deporte'
                        }
                    }
                }
            });

            const pieData_interes = {
                labels: nombresespecialidad,
                color: 'white',
                datasets: [{
                    color: 'white',
                    data: valorespecialidad,
                    backgroundColor: colores,
                    label: 'Cantidad',
                    hoverOffset: 4,
                }],
            };

            var interesCtx = document.getElementById('ChartInteres').getContext('2d');
            const total = 100; // o cualquier otro valor numérico

            var interesChart = new Chart(interesCtx, {
                /* IMPORTANTE: cargamos el complemento */
                plugins: [ChartDataLabels],
                type: 'bar',
                data: pieData_interes,
                color: 'white',
                options: {
                    plugins: {
                        datalabels: {
                            color: 'white',
                            anchor: "center",
                            formatter: (dato, contexto) => {
                                const numeros = (contexto.dataset.data);
                                let suma = 0;
                                for (let i = 0; i < numeros.length; i++) {
                                    suma += numeros[i];
                                }
                                const porcentaje = Math.round((dato / suma) * 100);
                                return porcentaje + "%";
                            },
                            font: {
                                color: 'white',
                                family: '"Times New Roman", Times, serif',
                                size: "25",
                                weight: "bold",
                            },
                        },
                        title: {
                            color: 'white',
                            display: true,
                            text: 'Pistas Favoritas'
                        }
                    }
                }
            });
        }
    </script>
    <script>
        function prueba(user) {
            sessionStorage.setItem('usuario', user);
            window.location.href = "/info";
        }
    </script>
</body>

</html>