<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="author" content="Stiven Ortega-K2">
    <link rel="icon" type="image/png" href="{{ url('img/logo_stp.svg') }}">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.3.min.js" integrity="sha256-pvPw+upLPUjgMXY0G+8O0xUf+/Im1MZjXxxgOcBQBXU=" crossorigin="anonymous"></script>
    <script src="https://cdn.tailwindcss.com"></script>
    <style type="text/tailwindcss">
        @layer utilities {
            .contenedor-titulo{
                display: flex;
                justify-content: center;
                align-items: center;
                height: 11vh;
            }
            .main-container {
            width: 70%;
            margin: 0 auto;
        }
            .fondo{
            background-image: url(img/fondo.png);
            background-color: #011e26;
            background-repeat: no-repeat;
            background-attachment: fixed;
            background-size: cover;
        }
        .titulo{
            color: #494c4f;
          }
          .titulo_prenombre{
            color: white;
          }
          .titulo2{
            color: #00a1e4;
          }
        }.carta{
            background: #FFFFFF;
            box-shadow: -18px 18px 36px rgb(230 230 230 / 20%), 18px -18px 36px rgb(230 230 230 / 20%), -18px -18px 36px rgb(255 255 255 / 90%), 18px 18px 45px rgb(230 230 230 / 90%), inset 1px 1px 2px rgb(255 255 255 / 30%), inset -1px -1px 2px rgb(230 230 230 / 50%);
            border-radius: 15px;
          }
          .max-h-0 {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s ease-out;
}

.max-h-full {
  max-height: 9999px;
  transition: max-height 0.5s ease-in;
}

.left{
    text-align: left;
}
.tabla-info{
    width: 100%;
}
.titulo-tema{
    color: #6395C0;
}
.tr-principal{
    background: #F4FBFF;
}
.borde-inferior{
    font-weight: 500;
    border-color: #A1CAED; border-bottom: 2px solid #A1CAED;
}
.tr-principal {
   background: #0095eb;
}

.subtitulo-tema {
   color: #ffffff;
}

.info-persona{
    width: 100%;
    min-width: 360px;
}

#map {
    box-sizing: border-box;
    border: 5px solid #FFFFFF;
    margin: 5%;
    width: 90%;
    height: 50vh;
    box-shadow: -18px 18px 36px rgb(230 230 230 / 20%), 18px -18px 36px rgb(230 230 230 / 20%), -18px -18px 36px rgb(255 255 255 / 90%), 18px 18px 45px rgb(230 230 230 / 90%), inset 1px 1px 2px rgb(255 255 255 / 30%), inset -1px -1px 2px rgb(230 230 230 / 50%);
    border-radius: 15px;
    }
    .fondo::before {
  content: "";
  background-image: url(img/fonto-hojas.png);
  opacity: 0.5;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: -1;
}
.azulito{
    background: #d2f1fa;
}
.tema_Neuronox{
    display: none;
}
.tema_pagina{
    display: none;
}
.celda_principal{
    background: #00a1e4;
    color: white;
}
.celda_secundaria{
    background: #75cff0;
    color: white;
}
      </style>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        fondo: '#F1F1F1',
                        primario: '#F64D0B',
                        secundario: '#ffffff'
                    }
                }
            }
        }
    </script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/flowbite/1.6.3/flowbite.min.css" rel="stylesheet" />
    <link href="//cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css">
    <script src="//cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
    <script src="https://api.mapbox.com/mapbox-gl-js/v2.6.0/mapbox-gl.js"></script>
    <link href="https://api.mapbox.com/mapbox-gl-js/v2.6.0/mapbox-gl.css" rel="stylesheet" />
</head>

<body class="fondo">
    <div class="muestra">
        <a href="inicio" class="absolute left-2 top-2 invisible sm:visible">
            <img class="" src="img/info/atras.svg" alt="Icono Atrás">
        </a>
        <div class="absolute inset-y-0 right-0 h-1/4 invisible sm:visible">
            <img class="h-1/6 m-5" src="img/logo_cbp.svg">
        </div>
        <div class="flex flex-row h-full justify-center p-3 contenedor-titulo">
            <h1 class="text-center text-3xl font-bold titulo_prenombre">
                INFO:
            </h1>
            <h1 class="text-center nombre text-3xl font-bold text-white titulo2">

            </h1>
        </div>
        <div class="grid gap-4 gr-cols-1 mt-20 sm:m-8">
            <div class="grid grid-cols-6 gap-4">
                <div class="grid grid-col-span-1 col-span-6 sm:col-span-6 text-center place-items-center my-8 h-1/2">
                    <div class="col-span-4">
                        <div class="carta border border-2 p-8 h-full text-justify">
                            <div class="col-span-1 flex flex-col items-center justify-center">
                                <h3 class="text-2xl titulo2 font-bold mb-2">Información personal</h3>
                                <img class="max-h-56 perfil" src="img/info/perfil.png" alt="">
                                <hr class="my-5 w-40" style="border: 1px solid #B1D5EB;">
                            </div>
                            <div class="grid grid-cols-2 gap-4 info-persona">
                                <div>
                                    <p class="titulo font-medium"> Nombre </p>
                                    <p class="border border-2 p-2 my-2 rounded-lg nombre titulo2"> </p>
                                </div>
                                <div>
                                    <p class="titulo font-medium"> Aportante </p>
                                    <p class="border border-2 p-2 my-2 rounded-lg aportante titulo2"> </p>
                                </div>
                                <div>
                                    <p class="titulo font-medium"> Correo </p>
                                    <p class="border border-2 p-2 my-2 rounded-lg email titulo2"> </p>
                                </div>
                                <div>
                                <p class="titulo font-medium"> Nivel </p>
                                    <p class="border border-2 p-2 my-2 rounded-lg nivel titulo2"> </p>
                                </div>
                                <div>
                                <p class="titulo font-medium"> Telefono </p>
                                    <p class="border border-2 p-2 my-2 rounded-lg telefono titulo2"> </p>
                                </div>
                                <div>
                                    <p class="titulo font-medium"> Marca </p>
                                    <p class="border border-2 p-2 my-2 rounded-lg marca titulo2"> </p>
                                </div>

                                <div>
                                    <p class="titulo font-medium"> Profesión </p>
                                    <p class="border border-2 p-2 my-2 rounded-lg profesion titulo2"> </p>
                                </div>
                                <div>
                                    <p class="titulo font-medium"> Pista Favorita </p>
                                    <p class="border border-2 p-2 my-2 rounded-lg pista_favorita titulo2"> </p>
                                </div>
                                <div class="col-span-2">
                                    <p class="titulo font-medium"> Deporte </p>
                                    <p class="border border-2 p-2 my-2 rounded-lg deporte titulo2"> </p>
                                </div>
                                <div class="col-span-2">
                                    <p class="titulo font-medium"> Último ingreso </p>
                                    <p class="border border-2 p-2 my-2 rounded-lg ultimo titulo2"> </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="module">
        import {
            initializeApp
        } from "https://www.gstatic.com/firebasejs/9.21.0/firebase-app.js";
        import {
            getFirestore,
            collection,
            getDoc,
            getDocs,
            query,
            where,
            doc
        } from "https://www.gstatic.com/firebasejs/9.21.0/firebase-firestore.js";
        import {
            getAuth,
            signInWithEmailAndPassword
        } from "https://www.gstatic.com/firebasejs/9.21.0/firebase-auth.js";

        const firebaseConfig = {
            apiKey: "AIzaSyDpmSHJZa194MnU-MWSYkUDo4rFvJdCUuM",
            authDomain: "fundacion-cbp.firebaseapp.com",
            projectId: "fundacion-cbp",
            storageBucket: "fundacion-cbp.appspot.com",
            messagingSenderId: "1092704161555",
            appId: "1:1092704161555:web:a07e046fa28041e59f14e6"
        };

        const app = initializeApp(firebaseConfig);
        const db = getFirestore(app);
        const auth = getAuth(app);
        const info = sessionStorage.getItem('usuario');


        var coordenadas = [];
        const userDocRef = doc(db, "users", info);
        
        getDoc(userDocRef)
            .then((docSnapshot) => {
                if (docSnapshot.exists()) {
                    const user = docSnapshot.data();
                    console.log(user);
                    $(".perfil").attr("src", user.fotoUrl);
                    $('.nombre').append(user.nombre);
                    $('.aportante').append(user.aportante !== undefined ? user.aportante : 'No aportante');
                    $('.email').append(user.email);
                    $('.telefono').append(user.telefono);
                    $('.nivel').append(user.nivel !== undefined ? user.nivel : 'Uno');
                    $('.deporte').append(user.deporte);
                    $('.marca').append(user.marca);
                    $('.pista_favorita').append(user.pista_favorita);
                    $('.profesion').append(user.profesion);
                    const ultimo_ingreso = (user.UpdatedAt).toDate();
                    const options = {
                        year: "numeric",
                        month: "long",
                        day: "numeric",
                        hour: "numeric",
                        minute: "numeric",
                        second: "numeric"
                    };
                    const fechaFormateada = ultimo_ingreso.toLocaleDateString(undefined, options);
                    $('.ultimo').append(fechaFormateada);
                    const busquedas_certificado = (user.busquedas_certificado);
                    if (busquedas_certificado !== undefined) {
                        busquedas_certificado.forEach(function(busqueda) {
                            const valor = busqueda.valor,
                                estado = busqueda.estado ? "<svg xmlns='http://www.w3.org/2000/svg' class='h-6 w-6 text-green-500' fill='none' viewBox='0 0 24 24' stroke='currentColor'>" +
                                "<path stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 13l4 4L19 7'></path>" +
                                "</svg>" : "<svg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='red' class='bi bi-x-lg' viewBox='0 0 16 16'>" +
                                "<path d='M2.146 2.854a.5.5 0 1 1 .708-.708L8 7.293l5.146-5.147a.5.5 0 0 1 .708.708L8.707 8l5.147 5.146a.5.5 0 0 1-.708.708L8 8.707l-5.146 5.147a.5.5 0 0 1-.708-.708L7.293 8 2.146 2.854Z'/>" +
                                "</svg>",
                                fecha = busqueda.fecha.toDate().toLocaleDateString();
                            var contenidoAdicional = `<div class="border border-gray-300 p-2 text-center celda_secundaria">${valor}</div>
            <div class="border border-gray-300 p-2 text-center">${estado}</div>
            <div class="border border-gray-300 p-2 text-center">${fecha}</div>`;
                            document.getElementById('busquedas_certificado').insertAdjacentHTML('beforeend', contenidoAdicional);
                        });
                    }

                    const clics_faq = (user.clics_faq);
                    if (clics_faq !== undefined) {
                        clics_faq.forEach(function(busqueda) {
                            const nombre = busqueda.nombre,
                                fecha = busqueda.fecha.toDate().toLocaleDateString();
                            var contenidoAdicional = `<li>${nombre} - <span class="italic">${fecha}</span></li>`;

                            document.getElementById('paq').insertAdjacentHTML('beforeend', contenidoAdicional);
                        });
                    }
                    const clics_NEURONOX = (user.clics_NEURONOX);
                    if (clics_NEURONOX !== undefined) {
                        var adherencia;
                        if (clics_NEURONOX.length >= 1 && clics_NEURONOX.length <= 2) {
                            adherencia = "Bajo";
                        } else if (clics_NEURONOX.length > 2 && clics_NEURONOX.length <= 5) {
                            adherencia = "Medio";
                        } else if (clics_NEURONOX.length > 5 && clics_NEURONOX.length <= 8) {
                            adherencia = "Alto";
                        } else {
                            adherencia = " ";
                        }
                        $("#adherencia").text(adherencia);

                        clics_NEURONOX.forEach(function(busqueda) {
                            const nombre = busqueda.nombre,
                                fecha = busqueda.fecha.toDate().toLocaleDateString();
                            var contenidoAdicional = `<li>${nombre} - <span class="italic">${fecha}</span></li>`;
                            document.getElementById('estudios').insertAdjacentHTML('beforeend', contenidoAdicional);
                        });
                    }
                    const visitas = (user.registros);
                    if (visitas !== undefined) {
                        visitas.forEach(function(busqueda) {
                            const nombre = busqueda.titulo,
                                permanencia = Number((busqueda.permanencia).toFixed(1)),
                                fecha = busqueda.fecha;
                            var contenidoAdicional = `<div class="border border-gray-300 p-2 text-center celda_secundaria">${nombre}</div>
                            <div class="border border-gray-300 p-2 text-center">${permanencia}</div>
                            <div class="border border-gray-300 p-2 text-center">${fecha}</div>`;

                            document.getElementById('paginas').insertAdjacentHTML('beforeend', contenidoAdicional);

                            if (nombre == "Neuronox®") {
                                if (permanencia < 2) {
                                    $("#Engagement").text("Bajo");
                                }
                                if (permanencia < 4) {
                                    $("#Engagement").text("Medio");
                                } else {
                                    $("#Engagement").text("Alto");
                                }
                            }
                        });
                    }

                } else {
                    console.log("No se encontró el usuario");
                }
            })
            .catch((error) => {
                console.error("Error al obtener el usuario:", error);
            });
    </script>
    
    
</body>

</html>