<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="author" content="Stiven Ortega-K2">
    <link rel="icon" type="image/png" href="<?php echo e(url('img/logo_lfe.svg')); ?>">
    <title> Login</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.tailwindcss.com"></script>
    <style type="text/tailwindcss">
        @layer  utilities {
          .fondo{
            background-image: url(/img/fondo.png);
          }
          .carta{
            background: #FFFFFF;
            box-shadow: 10px 10px 25px rgba(137, 204, 191, 0.3);
            border-radius: 15px;
          }.input-form{
            background: #FFFFFF;
            border-radius: 50px;
          }.btn-login{
            background: linear-gradient(131.26deg, #2799C8 0%, #2EB1E7 66.09%);
box-shadow: 3px 4px 16px rgba(47, 46, 46, 0.37), 22.3917px 22.3917px 63.3333px rgba(9, 33, 44, 0.1035), inset -5.0257px -5.0257px 7.10741px #2796C4, inset 5.0257px 5.0257px 7.10741px #2FB5EC;
border-radius: 10px;
          }
        }
      </style>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        principal: '#0468BE',
                        secundario: '#6395C0',
                        tercero: '#6395C0',
                        boton: '#3F3F8E',
                        blanco: '#FFFFFF'
                    }
                }
            }
        }
    </script>
</head>

<body>
    <div class="flex flex-wrap-reverse">

        <div class="flex flex-row scroll-pl-6 snap-x w-50 sm:flex-col sm:w-40 m-1 sm:m-8">
            <div class="snap-start flex w-1/6 grow sm:w-auto sm:grow-0 justify-center p-2">
                <img class="hover:scale-125" src="img/logo_lfe.svg" alt="LFE icono">
            </div>
            <div class="snap-start flex w-1/6 sm:w-auto grow justify-center p-2">
                <img class="items-center my-8 hover:scale-125 h-5/6" src="img/logo_stp.svg" alt="Logo STP">
            </div>
            <div class="snap-start flex w-1/6 sm:w-auto grow sm:grow-0 justify-center bottom-0 p-2">
                <img class="hover:scale-125" src="img/byK2.svg" alt="K2 icono">
            </div>
        </div>

        <div class="border grow h-screen fondo">
            <div class="flex ml-10 mt-14 w-2/6 py-5">
                <div class="carta z-10 inset-0 w-full my-8 py-5 px-2 min-w-max max-w-sm">
                    <div class="mt-8 text-center min-w-full">
                        <p class="text-principal text-3xl">Inicio de Sesión</p>
                    </div>
                    <div class="mt-2 text-center">
                        <p class="text-base text-secundario">Bienvenido a nuestro sistema</p>
                    </div>
                    <div class="text-center mb-4">
                        <p class="text-secundario text-sm">Plataforma de inteligencia y gestión de datos</p>
                    </div>
                    <?php if(Session::get('mensaje2')): ?>
                    <div class="alert alert-<?php echo e(Session::get('tipo2')); ?> alert-dismissible fade show" role="alert">
                        <?php echo Session::get('icono2'); ?>

                        <?php echo e(Session::get('mensaje2')); ?>

                    </div>
                    <?php endif; ?>
                    <div class="flex flex-col space-y-4">
                        <form class="justify-center" role="form" action="validate" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="flex justify-center my-4 h-9">
                                <input name="nick" class="z-10 input-form w-4/6 text-center text-tercero border border-tercero placeholder:text-tercero" placeholder="Usuario" required>
                            </div>
                            <div class="flex justify-center h-9">
                                <input type="password" name="password" class="z-20 input-form text-center text-tercero border border-tercero placeholder:text-tercero w-4/6" placeholder="Contraseña" required>
                            </div>
                            <div class="form-group">
                                <br>
                                <?php if(Session::get('mensaje')): ?>
                                <div class="alert text-center alert-<?php echo e(Session::get('tipo')); ?> alert-dismissible fade show" role="alert">
                                    <?php echo Session::get('icono'); ?>

                                    <?php echo e(Session::get('mensaje')); ?>

                                </div>
                                <?php endif; ?>
                            </div>
                            <div class="flex justify-start min-w-full">
                                <input type="Submit" class="z-20 bg-boton w-3/6 btn-login ml-16 text-blanco" value="Ingresar">
                            </div>
                            </a><br>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div></div>
    
        <img class="absolute top-0 right-0 w-4/5 h-full" src="img/fondo_login.svg" alt="Imagen producto">
        <img class="absolute bottom-0 right-6 w-1/4" src="img/fondo_img.svg" alt="Imagen producto">

</body>

</html><?php /**PATH C:\Users\hOME\Documents\Laravel\HSI\stpGastrotalk\resources\views/login.blade.php ENDPATH**/ ?>