<!DOCTYPE html>
<html>

<!DOCTYPE html>
<html>

<head>
    <link rel="icon" type="image/png" href="<?php echo e(url('img/lpp_icono.svg')); ?>">
    <!-- CSS only -->
    <!-- JavaScript Bundle with Popper -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.tailwindcss.com"></script>
    <style type="text/tailwindcss">
        @layer  utilities {
          .titulo{
              -webkit-text-stroke: 1px black;
          }
        }.fondoLPP{background: linear-gradient(180deg, #FFD9B4 0%, #FFB4D0 100%);}
      </style>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        dimGrey: '#555759',
                        fondo: '#F1F1F1'
                    }
                }
            }
        }
    </script>
    <link href="//cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css">
    <script src="//cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
</head>

<body class="fondoLPP">
    <a href="logout" class="absolute left-0 top-0">
        <img class="h-1/6 w-3/6" src="<?php echo e(url('img/icono_salir.svg')); ?>" alt="Icono Salir">
    </a>

    <div class="grid gap-4 grid-cols-1 m-8">
        <div class="flex flex-row h-full justify-center">
            <h1 class="text-center text-3xl italic font-bold underline text-fondo titulo">
                Registros - LFE
            </h1>
            <img class="h-3/6" src="<?php echo e(url('img/lpp_icono.svg')); ?>" alt="">
        </div>
        <div class="grid grid-cols-7 gap-4">
            <div class="grid col-span-7 sm:col-span-1 border border-white text-center h-full place-items-center">
                <div>
                    <h3 class="titulo">Total usuarios:</h3>
                    <p id="total"> </p>
                </div>
            </div>

            <div class="col-span-7 sm:col-span-2 border border-white">
                <canvas id="ChartTipo"></canvas>
            </div>
            <div class="col-span-7 sm:col-span-2 border border-white">
                <canvas id="ChartCiudad"></canvas>
            </div>
            <div class="col-span-7 sm:col-span-2 border border-white">
                <canvas id="ChartComo"></canvas>
            </div>
        </div>
        <div class="overflow-x-auto">
            <table id="tabla" class="table-fixed border hover:relieve border-collapse border-slate-400  sm:w-full">
                <thead class="text-center">
                    <tr>
                        <th class="border w-14 sm:w-auto">Nombre </th>
                        <th class="border w-64 sm:w-1/4">Email</th>
                        <th class="border w-28 sm:w-auto">Teléfono</th>
                        <th class="border w-32 sm:w-auto">Tipo de usuario</th>
                    </tr>
                </thead>
                <tbody class="text-dimGrey">
                </tbody>
            </table>
        </div>
    </div>
    <script type="module">
        import {
            initializeApp
        } from "https://www.gstatic.com/firebasejs/9.14.0/firebase-app.js";
        import {
            getDatabase,
            set,
            get,
            child,
            update,
            ref,
            onValue
        } from "https://www.gstatic.com/firebasejs/9.14.0/firebase-database.js";
        import {
            getAuth,
            updateProfile,
            createUserWithEmailAndPassword,
            signInWithEmailAndPassword,
            signOut,
            onAuthStateChanged,
            GoogleAuthProvider,
            signInWithPopup,
            FacebookAuthProvider
        } from "https://www.gstatic.com/firebasejs/9.14.0/firebase-auth.js";

        const firebaseConfig = {
            apiKey: "AIzaSyB3szfEs7ku-DEZ4rEv6cG_Ds2G3blwUAo",
            authDomain: "proyecto-lfe.firebaseapp.com",
            databaseURL: "https://proyecto-lfe-default-rtdb.firebaseio.com",
            projectId: "proyecto-lfe",
            storageBucket: "proyecto-lfe.appspot.com",
            messagingSenderId: "338554099424",
            appId: "1:338554099424:web:a348639c07763a9b466285",
            measurementId: "G-BD3LQ5RRBW"
        };

        const app = initializeApp(firebaseConfig);
        const database = getDatabase(app);
        const auth = getAuth(app);
        const db = getDatabase();
        signInWithEmailAndPassword(auth, "admin@admin.com", "adminLFE2023")
            .then((userCredential) => {}).catch((error) => {
                console.error(error);
            });
        const starCountRef = ref(db, 'users/');
        onValue(starCountRef, (snapshot) => {
            var datos = (snapshot.val());
            console.log(datos);
            var tableData = [],
            countpreferencia = [],
            countciudad = [],
            counttipo = [];
            snapshot.forEach((doc) => {
                const user = (doc.val());
                var nombre = user.nombre;
                if (nombre != undefined) {
                    var telefono = user.telefono,
                email = user.email,
                blog = user.blog,
                podcasts = user.podcasts,
                video = user.video,
                tipouser = user.tipoUsuario,
                ciudad = user.ciudad,
                tipoUsuario = user.tipoUsuario;

                if (email == undefined) {
                    var email = "-"
                }
                if (telefono == undefined) {
                    var telefono = "-"
                }
                if (tipouser == undefined) {
                    var tipouser = "-"
                }
                tableData.push([
                    nombre,
                    email,
                    telefono,
                    tipouser
                ]);
                }
                if (blog != undefined) {
                    countpreferencia.push('blog');
                }if (podcasts != undefined) {
                    countpreferencia.push('podcasts');
                }if (video != undefined) {
                    countpreferencia.push('video');
                }
                if (ciudad != undefined) {
                    countciudad.push(ciudad);
                }
                if (tipoUsuario != undefined) {
                    counttipo.push(tipoUsuario);
                }
            });
            console.log(countpreferencia);
            const resultadopreferencia = countpreferencia.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {})
            const resultadocountciudad = countciudad.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {})
            const resultadotipo = counttipo.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {})

            grafica(resultadopreferencia, resultadocountciudad, resultadotipo);
            $("#total").text(tableData.length);
            $('#tabla').DataTable({
                retrieve: true,
                responsive: true,
                data: tableData,
                "scrollCollapse": true,
                "language": {
                    "lengthMenu": "Mostrar _MENU_ usuarios por página",
                    "search": "Buscar",
                    "zeroRecords": "Sin Resultados Coincidentes",
                    "paginate": {
                        "first": "Primera",
                        "last": "Ultima",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                    "info": "Mostrando _START_ de _END_ de un total de _TOTAL_ Registros",
                    "infoFiltered": "( filtrado de _MAX_ registros totales )"
                },
            });
        });
    </script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
<script>
        function grafica(datospreferencia, datosciudad, datostipo) {
            const nombrepreferencia = (Object.keys(datospreferencia));
            const valorpreferencia  = (Object.values(datospreferencia));
            const nombreciudad = (Object.keys(datosciudad));
            const valorciudad  = (Object.values(datosciudad));
            const nombretipo = (Object.keys(datostipo));
            const valortipo  = (Object.values(datostipo));
            const ctxcomo = document.getElementById('ChartComo');
            new Chart(ctxcomo, {
                type: 'doughnut',
                data: {
                    labels: nombrepreferencia,
                    datasets: [{
                        label: 'Cantidad',
                        data: valorpreferencia ,
                        borderWidth: 1
                    }]
                },
                options: {
                    responsive: true,
                    plugins: {
                        legend: {
                            position: 'top',
                        },
                        title: {
                            display: true,
                            text: 'Preferencias'
                        }
                    }
                },
            });
            const ctxciudad = document.getElementById('ChartCiudad');
            new Chart(ctxciudad, {
                type: 'doughnut',
                data: {
                    labels: nombreciudad,
                    datasets: [{
                        label: 'Cantidad',
                        data: valorciudad,
                        borderWidth: 1
                    }]
                },
                options: {
                    responsive: true,
                    plugins: {
                        legend: {
                            position: 'top',
                        },
                        title: {
                            display: true,
                            text: 'Ciudades'
                        }
                    }
                },
            });
            const ctxtipo = document.getElementById('ChartTipo');
            new Chart(ctxtipo, {
                type: 'doughnut',
                data: {
                    labels: nombretipo,
                    datasets: [{
                        label: 'Cantidad',
                        data: valortipo,
                        borderWidth: 1
                    }]
                },
                options: {
                    responsive: true,
                    plugins: {
                        legend: {
                            position: 'top',
                        },
                        title: {
                            display: true,
                            text: 'Tipos de usuarios'
                        }
                    }
                },
            });
        }
    </script>
</body>

</html><?php /**PATH C:\Users\hOME\Documents\Laravel\HSI\stpSentirtemejor\resources\views/tabla/index.blade.php ENDPATH**/ ?>