<!DOCTYPE html>
<html>

<!DOCTYPE html>
<html>

<head>
    <link rel="icon" type="image/png" href="<?php echo e(url('img/logo_lfe.svg')); ?>">
    <!-- CSS only -->
    <!-- JavaScript Bundle with Popper -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.tailwindcss.com"></script>
    <style type="text/tailwindcss">
        @layer  utilities {
          .titulo{
            -webkit-text-stroke: 2px #3d982d;
          }
        }.fondo{
            background: linear-gradient(260.57deg, #ff7f10 2.31%, #f3b97740.4%, #d4bd81 87.35%);
        }
      </style>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        fondo: '#F1F1F1',
                        secundario: '#8B7255',
                        tercero: '#85BA83'
                    }
                }
            }
        }
    </script>
    <link href="//cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css">
    <script src="//cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
</head>

<body class="fondo">
    <a href="logout" class="absolute left-2 top-2">
        <img class="" src="<?php echo e(url('img/icono_salir.svg')); ?>" alt="Icono Salir">
    </a>
    <div class="absolute inset-y-0 right-0 h-1/2">
        <img class="h-1/6 m-5" src="img/logo_lfe.svg" alt="Fondo">
    </div>
    <div class="grid gap-4 grid-cols-1 m-8">
        <div class="flex flex-row h-full justify-center p-3">
            <h1 class="text-center text-5xl font-bold text-white titulo underline underline-offset-8">
                Registros - Chef Stam
            </h1>
        </div>
        <div class="grid grid-cols-7 gap-4">
            <div class="grid col-span-7 sm:col-span-1 border border-white text-center h-full place-items-center">
                <div>
                    <h3 class="text-xl">Total usuarios:</h3>
                    <p id="total"> </p>
                </div>
            </div>

            <div class="col-span-7 sm:col-span-2 border border-white">
                <canvas id="ChartTipo"></canvas>
            </div>
            <div class="col-span-7 sm:col-span-2 border border-white">
                <canvas id="ChartCiudad"></canvas>
            </div>
            <div class="col-span-7 sm:col-span-2 border border-white">
                <canvas id="ChartPrefe"></canvas>
            </div>
        </div>
        <div class="overflow-x-auto">
            <table id="tabla" class="table-fixed border hover:relieve border-collapse border-slate-400  sm:w-full">
                <thead class="text-center">
                    <tr>
                        <th class="border w-14 sm:w-auto">Nombre </th>
                        <th class="border w-64 sm:w-1/4">Email</th>
                        <th class="border w-28 sm:w-auto">Teléfono</th>
                        <th class="border w-32 sm:w-auto">Especialidad</th>
                        <th class="border w-32 sm:w-auto">Tarjeta Profesional</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <script type="module">
        import {
            initializeApp
        } from "https://www.gstatic.com/firebasejs/9.14.0/firebase-app.js";
        import {
            getDatabase,
            set,
            get,
            child,
            update,
            ref,
            onValue
        } from "https://www.gstatic.com/firebasejs/9.14.0/firebase-database.js";
        import {
            getAuth,
            updateProfile,
            createUserWithEmailAndPassword,
            signInWithEmailAndPassword,
            signOut,
            onAuthStateChanged,
            GoogleAuthProvider,
            signInWithPopup,
            FacebookAuthProvider
        } from "https://www.gstatic.com/firebasejs/9.14.0/firebase-auth.js";

        const firebaseConfig = {
            apiKey: "AIzaSyDEQBOFudl-qCLIcTzM_Z-CH52DghxClws",
            authDomain: "stamyl.firebaseapp.com",
            databaseURL: "https://stamyl-default-rtdb.firebaseio.com",
            projectId: "stamyl",
            storageBucket: "stamyl.appspot.com",
            messagingSenderId: "324916424886",
            appId: "1:324916424886:web:d23432b365438ba2943617"
        };

        const app = initializeApp(firebaseConfig);
        const database = getDatabase(app);
        const auth = getAuth(app);
        const db = getDatabase();
        signInWithEmailAndPassword(auth, "admin@admin.com", "adminStamyl2023")
            .then((userCredential) => {}).catch((error) => {
                console.error(error);
            });
        const starCountRef = ref(db, 'users/');
        onValue(starCountRef, (snapshot) => {
            var datos = (snapshot.val());
            var tableData = [],
                countpreferencia = [],
                countciudad = [],
                countespecialidad = [];
            snapshot.forEach((doc) => {
                const user = (doc.val());
                var nombre = user.nombre;
                if (nombre != undefined) {
                    var telefono = user.telefono,
                        email = user.email,
                        Cenas = user.Cenas,
                        especialidad = user.especialidad,
                        Desayunos = user.Desayunos,
                        Almuerzos = user.Almuerzos,
                        Fin_de_Semana = user.Fin_de_Semana,
                        Postres = user.Postres,
                        ciudad = user.ciudad,
                        tarjetaProfesional = user.tarjetaProfesional;

                    if (email == undefined) {
                        var email = "-"
                    }
                    if (telefono == undefined) {
                        var telefono = "-"
                    }if (especialidad == undefined || especialidad === "") {
                        var especialidad = "-"
                    }if (tarjetaProfesional == undefined) {
                        var tarjetaProfesional = "-"
                    }
                    tableData.push([
                        nombre,
                        email,
                        telefono,
                        especialidad,
                        tarjetaProfesional
                    ]);
                } 
                if (ciudad != undefined) {
                    countciudad.push(ciudad);
                }
                if (especialidad != "-" && especialidad != undefined) {
                    countespecialidad.push(especialidad);
                }
                if (Fin_de_Semana != undefined) {
                    countpreferencia.push('Fin de Semana');
                }if (Desayunos != undefined) {
                    countpreferencia.push('Desayunos');
                }if (Almuerzos != undefined) {
                    countpreferencia.push('Almuerzos');
                }
                if (Postres != undefined) {
                    countpreferencia.push('Postres');
                }
            });

            const resultadocountciudad = countciudad.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {})
            const resultadoespecialidad = countespecialidad.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {})
            const resultadopreferencia = countpreferencia.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {})
            grafica(resultadocountciudad, resultadoespecialidad, resultadopreferencia);
            $("#total").text(tableData.length);
            $('#tabla').DataTable({
                retrieve: true,
                responsive: true,
                data: tableData,
                "scrollCollapse": true,
                "language": {
                    "lengthMenu": "Mostrar _MENU_ usuarios por página",
                    "search": "Buscar",
                    "zeroRecords": "Sin Resultados Coincidentes",
                    "paginate": {
                        "first": "Primera",
                        "last": "Ultima",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                    "info": "Mostrando _START_ de _END_ de un total de _TOTAL_ Registros",
                    "infoFiltered": "( filtrado de _MAX_ registros totales )"
                },
            });
        });
    </script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script>
        function grafica(datosciudad, datosespecialidad, datospreferencia) {
            const nombrepreferencia = (Object.keys(datospreferencia));
            const valorpreferencia = (Object.values(datospreferencia));
            
           const nombreespecialidad = (Object.keys(datosespecialidad));
           const valorespecialidad = (Object.values(datosespecialidad));
            const nombreciudad = (Object.keys(datosciudad));
            const valorciudad = (Object.values(datosciudad));
            
            const ctxprefe = document.getElementById('ChartPrefe');
            new Chart(ctxprefe, {
                type: 'pie',
                data: {
                    labels: nombrepreferencia,
                    datasets: [{
                        label: 'Cantidad',
                        data: valorpreferencia,
                        borderWidth: 1
                    }]
                },
                options: {
                    responsive: true,
                    plugins: {
                        legend: {
                            position: 'top',
                        },
                        title: {
                            display: true,
                            text: 'Preferencias'
                        }
                    }
                },
            });
            const ctxciudad = document.getElementById('ChartCiudad');
            new Chart(ctxciudad, {
                type: 'pie',
                data: {
                    labels: nombreciudad,
                    datasets: [{
                        label: 'Cantidad',
                        data: valorciudad,
                        borderWidth: 1
                    }]
                },
                options: {
                    responsive: true,
                    plugins: {
                        legend: {
                            position: 'top',
                        },
                        title: {
                            display: true,
                            text: 'Ciudades'
                        }
                    }
                },
            });
            const ctxtipo = document.getElementById('ChartTipo');
            new Chart(ctxtipo, {
                type: 'pie',
                data: {
                    labels: nombreespecialidad,
                    datasets: [{
                        label: 'Cantidad',
                        data: valorespecialidad,
                        borderWidth: 1
                    }]
                },
                options: {
                    responsive: true,
                    plugins: {
                        legend: {
                            position: 'top',
                        },
                        title: {
                            display: true,
                            text: 'Tipos de usuarios'
                        }
                    }
                },
            });
        }
    </script>
</body>

</html><?php /**PATH C:\Users\hOME\Documents\Laravel\HSI\stpStamyl\resources\views/tabla/index.blade.php ENDPATH**/ ?>