<!DOCTYPE html>
<html>

<!DOCTYPE html>
<html>

<head>
    <link rel="icon" type="image/png" href="<?php echo e(url('img/logo_lfe.svg')); ?>">
    <!-- CSS only -->
    <!-- JavaScript Bundle with Popper -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.tailwindcss.com"></script>
    <style type="text/tailwindcss">
        @layer  utilities {
          .titulo{
            -webkit-text-stroke: 2px #3cd9bc;
          }
          .titulo2{
            -webkit-text-stroke: 2px #048abf;
          }
        }.fondo{
            background-image: url(/img/fondo.png);
          }
        
      </style>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        fondo: '#F1F1F1',
                        primario: '#3cd9bc',
                        secundario: '#048abf'
                    }
                }
            }
        }
    </script>
    <link href="//cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css">
    <script src="//cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
</head>

<body class="fondo">
    <a href="logout" class="absolute left-2 top-2">
        <img class="w-2/3" src="<?php echo e(url('img/icono_salir.svg')); ?>" alt="Icono Salir">
    </a>
    <div class="absolute inset-y-0 right-0 h-1/4 invisible sm:visible">
        <img class="h-1/6 m-5" src="<?php echo e(url('img/logo_lfe.svg')); ?>" alt="Logo LFE">
    </div>
    <div class="grid gap-4 grid-cols-1 mt-20 m-8 sm:m-8">
        <div class="flex flex-row h-full justify-center p-3">
            <h1 class="text-center text-5xl font-bold text-white titulo underline underline-offset-8">
                Registros-
            </h1>
            <h1 class="text-center text-5xl font-bold text-white titulo2 underline underline-offset-8"> Gastrotalks</h1>
        </div>
        <div class="grid grid-cols-7 gap-4">
            <div class="grid col-span-7 sm:col-span-1 border border-secundario text-center h-full place-items-center">
                <div>
                    <h3 class="text-xl">Total usuarios:</h3>
                    <p id="total"> </p>
                </div>
            </div>
            <div class="col-span-7 sm:col-span-3 border border-primario">
                <canvas id="ChartCiudad"></canvas>
            </div>
            <div class="col-span-7 sm:col-span-3 border border-secundario">
                <canvas id="ChartEspe"></canvas>
            </div>
            <!-- -->
            <div class="col-span-7 border border-secundario">
                <canvas id="ChartInteres"></canvas>
            </div>
        </div>
        <div class="overflow-x-auto">
            <table id="tabla" class="table-fixed border hover:relieve border-collapse border-slate-400  sm:w-full">
                <thead class="text-center">
                    <tr>
                        <th class="border w-auto">Nombre </th>
                        <th class="border w-auto">Email</th>
                        <th class="border w-auto">Teléfono</th>
                        <th class="border w-auto">Especialidad</th>
                        <th class="border w-auto">Intereses</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>

    </div>
    <script type="module">
        import {
            initializeApp
        } from "https://www.gstatic.com/firebasejs/9.14.0/firebase-app.js";
        import {
            getDatabase,
            set,
            get,
            child,
            update,
            ref,
            onValue
        } from "https://www.gstatic.com/firebasejs/9.14.0/firebase-database.js";
        import {
            getAuth,
            updateProfile,
            createUserWithEmailAndPassword,
            signInWithEmailAndPassword,
            signOut,
            onAuthStateChanged,
            GoogleAuthProvider,
            signInWithPopup,
            FacebookAuthProvider
        } from "https://www.gstatic.com/firebasejs/9.14.0/firebase-auth.js";

        const firebaseConfig = {
            apiKey: "AIzaSyDuxBz12wq0IS-WMFjIJUCBzb4jGuN0fHM",
            authDomain: "gastrotalks-b5268.firebaseapp.com",
            databaseURL: "https://gastrotalks-b5268-default-rtdb.firebaseio.com",
            projectId: "gastrotalks-b5268",
            storageBucket: "gastrotalks-b5268.appspot.com",
            messagingSenderId: "947283547433",
            appId: "1:947283547433:web:377b1aff240b9587e89338"
        };

        const app = initializeApp(firebaseConfig);
        const database = getDatabase(app);
        const auth = getAuth(app);
        const db = getDatabase();
        signInWithEmailAndPassword(auth, "admin@admin.com", "admingastrotalks2023")
            .then((userCredential) => {}).catch((error) => {
                console.error(error);
            });
        const starCountRef = ref(db, 'users/');
        onValue(starCountRef, (snapshot) => {
            var datos = (snapshot.val());
            sessionStorage.setItem('datos', JSON.stringify(datos));
            var tableData = [],
                countciudad = [],
                countcategorias = [],
                countespecialidad = [];
            snapshot.forEach((doc) => {
                const user = (doc.val());
                var nombre = user.nombre,
                    Covid19 = user['Covid-19'] || 0,
                    Erge = user.Erge || 0,
                    Estreñimiento = user.Estreñimiento || 0,
                    Helicobacter_pylori = user.Helicobacter_pylori || 0,
                    SII = user.SII || 0;
                var categorias = {
                    Covid19: Object.entries(Covid19).length,
                    Erge: Object.entries(Erge).length,
                    SII: Object.entries(SII).length,
                    Helicobacter_pylori: Object.entries(Helicobacter_pylori).length,
                    Estreñimiento: Object.entries(Estreñimiento).length
                };
                countcategorias.push(categorias);
                if (nombre != undefined) {
                    var telefono = user.telefono,
                        email = user.email,
                        Cenas = user.Cenas,
                        especialidad = user.especialidad,
                        Postres = user.Postres,
                        ciudad = user.ciudad,
                        cc = user.cc;

                    if (email == undefined) {
                        var email = "-"
                    }
                    if (telefono == undefined) {
                        var telefono = "-"
                    }
                    if (especialidad == undefined || especialidad === "") {
                        var especialidad = "-"
                    }
                    /*
                    href='<?php echo e(url('info/')); ?>'
                    */
                    const boton = "<button class='bg-transparent hover:bg-blue-500 text-blue-700 font-semibold hover:text-white py-2 px-4 border border-blue-500 hover:border-transparent rounded' onclick='prueba(" + JSON.stringify(doc.key) + ")'> Detalles </button>";
                    tableData.push([
                        nombre,
                        email,
                        telefono,
                        especialidad,
                        boton
                    ]);
                }
                if (ciudad != undefined) {
                    countciudad.push(ciudad);
                }
                if (especialidad != "-" && especialidad != undefined) {
                    countespecialidad.push(especialidad);
                }
            });
            const resultadocountciudad = countciudad.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {});
            const resultadoespecialidad = countespecialidad.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {});

            grafica(resultadocountciudad, resultadoespecialidad, countcategorias);
            $("#total").text(tableData.length);
            $('#tabla').DataTable({
                retrieve: true,
                responsive: true,
                data: tableData,
                "scrollCollapse": true,
                "language": {
                    "lengthMenu": "Mostrar _MENU_ usuarios por página",
                    "search": "Buscar",
                    "zeroRecords": "Sin Resultados Coincidentes",
                    "paginate": {
                        "first": "Primera",
                        "last": "Ultima",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                    "info": "Mostrando _START_ de _END_ de un total de _TOTAL_ Registros",
                    "infoFiltered": "( filtrado de _MAX_ registros totales )"
                },
            });
        });
    </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.5.0/chart.min.js" integrity="sha512-asxKqQghC1oBShyhiBwA+YgotaSYKxGP1rcSYTDrB0U6DxwlJjU59B67U8+5/++uFjcuVM8Hh5cokLjZlhm3Vg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/chartjs-plugin-datalabels/2.0.0/chartjs-plugin-datalabels.min.js" integrity="sha512-R/QOHLpV1Ggq22vfDAWYOaMd5RopHrJNMxi8/lJu8Oihwi4Ho4BRFeiMiCefn9rasajKjnx9/fTQ/xkWnkDACg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script>
        function grafica(datosciudad, datosespecialidad, datoscategorias) {
            const nombreespecialidad = (Object.keys(datosespecialidad));
            const valorespecialidad = (Object.values(datosespecialidad));
            const datosCiudadArray = Object.entries(datosciudad).map(([nombre, cantidad]) => ({
                nombre,
                cantidad,
            }));

            datosCiudadArray.sort((a, b) => b.cantidad - a.cantidad);
            const topCiudades = datosCiudadArray.slice(0, 9);
            const otrasCantidad = datosCiudadArray
                .slice(9)
                .reduce((total, ciudad) => total + ciudad.cantidad, 0);
            const otros = {
                nombre: "Otras",
                cantidad: otrasCantidad
            };

            topCiudades.push(otros);
            var totalCovid19 = 0,
                totalEstreñimiento = 0,
                totalHelicobacter_pylori = 0,
                totalSII = 0,
                totalErge = 0;
            for (var i = 0; i < datoscategorias.length; i++) {
                totalCovid19 += datoscategorias[i].Covid19;
                totalErge += datoscategorias[i].Erge;
                totalSII += datoscategorias[i].SII;
                totalHelicobacter_pylori += datoscategorias[i].Helicobacter_pylori;
                totalEstreñimiento += datoscategorias[i].Estreñimiento;
            }
            const nombreciudad = topCiudades.map(ciudad => ciudad.nombre);
            const valorciudad = topCiudades.map(ciudad => ciudad.cantidad);

            const colores = ['#0c343d', '#3F86CB', '#4EADEB', '#A6CEE3', '#1F78B4', '#3cd9bc', '#B2DF8A', '#38761d', '#8fce00', '#4fce00'];
            const pieData_ciudad = {
                labels: nombreciudad,
                datasets: [{
                    data: valorciudad,
                    backgroundColor: colores,
                    hoverOffset: 4,
                }],
            };

            var pieCtx = document.getElementById('ChartCiudad').getContext('2d');

            var myPieChart = new Chart(pieCtx, {
                /* IMPORTANTE: cargamos el complemento */
                plugins: [ChartDataLabels],
                type: 'pie',
                data: pieData_ciudad,
                options: {
                    plugins: {
                        datalabels: {
                            anchor: "center",
                            formatter: (dato, contexto) => {
                                const numeros = (contexto.dataset.data);
                                let suma = 0;
                                for (let i = 0; i < numeros.length; i++) {
                                    suma += numeros[i];
                                }
                                const porcentaje = Math.round((dato / suma) * 100);
                               
                                if (porcentaje < 3) {
                                    return "";
                                } else {
                                    return porcentaje + "%";
                                }  /*
                                return porcentaje + "%";*/
                            },
                            color: function(dato, contexto) {
                                const numeros = (dato.dataset.data);
                                const valor = (numeros[dato.dataIndex]);

                                let suma = 0;
                                for (let i = 0; i < numeros.length; i++) {
                                    suma += numeros[i];
                                }
                                const porcentaje = Math.round((valor / suma) * 100);
                                if (porcentaje < 3) {
                                    return "black";
                                } else {
                                    return "white";
                                }
                            },
                            font: {
                                family: '"Times New Roman", Times, serif',
                                size: "20",
                                weight: "bold",
                            },
                            anchor: 'end',
                            align: 'start',
                            offset: function(dato, contexto) {
                                const numeros = (dato.dataset.data);
                                const valor = (numeros[dato.dataIndex]);

                                let suma = 0;
                                for (let i = 0; i < numeros.length; i++) {
                                    suma += numeros[i];
                                }
                                const porcentaje = Math.round((valor / suma) * 100);
                                if (porcentaje < 3) {
                                    return -50;
                                } else {
                                    return 0;
                                }
                            },
                            clamp: true,
                            outside: true,
                            padding: 5,
                            textAlign: 'center',
                            drawBorder: true,
                            connector: {
                                color: 'white',
                                curviness: 0.5,
                                drawArrow: true,
                                arrowSize: 8,
                                length: 10,
                            }
                        },
                        title: {
                            display: true,
                            text: 'Intereses Por Categoría'
                        }
                    }
                }
            });


            const pieData_espe = {
                labels: nombreespecialidad,
                datasets: [{
                    data: valorespecialidad,
                    backgroundColor: colores,
                    hoverOffset: 4,
                }],
            };

            var espeCtx = document.getElementById('ChartEspe').getContext('2d');

            var espeChart = new Chart(espeCtx, {
                /* IMPORTANTE: cargamos el complemento */
                plugins: [ChartDataLabels],
                type: 'bar', // Cambia 'bar' a 'horizontalBar'
                data: pieData_espe,
                options: {
                    responsive: true,
                    maintainAspectRatio: false,
                    indexAxis: 'y',
                    elements: {
                        bar: {
                            borderWidth: 2,
                        }
                    },
                    plugins: {
                        datalabels: {
                            anchor: "center",
                            formatter: (dato, contexto) => {
                                const numeros = (contexto.dataset.data);
                                let suma = 0;
                                for (let i = 0; i < numeros.length; i++) {
                                    suma += numeros[i];
                                }
                                const porcentaje = Math.round((dato / suma) * 100);
                                return porcentaje + "%";
                            },
                            color: "white",
                            font: {
                                family: '"Times New Roman", Times, serif',
                                size: "14",
                                weight: "bold",
                            },
                        },
                        title: {
                            display: true,
                            text: 'Especialidad'
                        }
                    }
                }
            });

            const pieData_interes = {
                labels: ['SII', 'Covid-19', 'Erge', 'Estreñimiento', 'Helicobacter pylori'],
                datasets: [{
                    data: [totalSII, totalCovid19, totalErge, totalEstreñimiento, totalHelicobacter_pylori],
                    backgroundColor: colores,
                    label: 'Cantidad',
                    hoverOffset: 4,
                }],
            };

            var interesCtx = document.getElementById('ChartInteres').getContext('2d');
            const total = 100; // o cualquier otro valor numérico

            var interesChart = new Chart(interesCtx, {
                /* IMPORTANTE: cargamos el complemento */
                plugins: [ChartDataLabels],
                type: 'bar',
                data: pieData_interes,
                options: {
                    plugins: {
                        datalabels: {
                            anchor: "center",
                            formatter: (dato, contexto) => {
                                const numeros = (contexto.dataset.data);
                                let suma = 0;
                                for (let i = 0; i < numeros.length; i++) {
                                    suma += numeros[i];
                                }
                                const porcentaje = Math.round((dato / suma) * 100);
                                return porcentaje + "%";
                            },
                            color: "white",
                            font: {
                                family: '"Times New Roman", Times, serif',
                                size: "25",
                                weight: "bold",
                            },
                        },
                        title: {
                            display: true,
                            text: 'Intereses Por Categoría'
                        }
                    }
                }
            });

            /* 
                        new Chart(ctxinte, {
                            type: 'bar',
                            data: {
                                labels: ['SII', 'Covid-19', 'Erge', 'Estreñimiento', 'Helicobacter pylori'],
                                datasets: [{
                                    label: 'Cantidad',
                                    data: [totalSII, totalCovid19, totalErge, totalEstreñimiento, totalHelicobacter_pylori],
                                    borderWidth: 1
                                }]
                            },
                            options: {
                                responsive: true,
                                maintainAspectRatio: false,
                                elements: {
                                    bar: {
                                        borderWidth: 2,
                                    }
                                },
                                plugins: {
                                    datalabels: {
                                        anchor: 'end',
                                        align: 'start',
                                        formatter: function(value, context) {
                                            return (context.dataset.data[context.dataIndex] * 100 / context.dataset._meta[Object.keys(context.dataset._meta)[0]].total).toFixed(2) + '%';
                                        },
                                        font: {
                                            weight: 'bold'
                                        }
                                    },
                                    legend: false,
                                    title: {
                                        display: true,
                                        text: 'Intereses Por Categoría'
                                    }
                                }
                            }
                        });*/
        }
    </script>
    <script>
        function prueba(user) {
            sessionStorage.setItem('usuario', user);
            window.location.href = "/info";
        }
    </script>
</body>

</html><?php /**PATH C:\Users\hOME\Documents\Laravel\HSI\stpGastrotalk\resources\views/tabla/index.blade.php ENDPATH**/ ?>