<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="author" content="Stiven Ortega-K2">
    <link rel="icon" type="image/png" href="<?php echo e(url('img/Astellas_icono.png')); ?>">
    <title> Login</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.tailwindcss.com"></script>
    <style type="text/tailwindcss">
        @layer  utilities {
          .fondo-rojo {
            background: linear-gradient(110.97deg, #D91E49 12.49%, #A62B4E 101.29%);
          }
          .filter-blanco{
            filter: drop-shadow(0px 4px 4px rgba(255, 255, 255, 1));
          }.carta{
            background: #FFFFFF;
            box-shadow: 4px 4px 6px rgba(214, 223, 242, 0.5);
            border-radius: 15px;
          }.input-form{
            background: #FFFFFF;
            border-radius: 50px;
            box-shadow: 4px 4px 6px rgba(214, 223, 242, 0.5);
          }.btn-login{
            border-radius: 50px;
          }
        }
      </style>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        crimson: '#d91E49',
                        astellas_ligh: '#A7A9AC',
                        Astellas_Dark_Red: '#A62B4E',
                        astellas_ligh_text: '#C3C7CF',
                        blanco: '#FFFFFF'
                    }
                }
            }
        }
    </script>
</head>

<body>
    <div class="flex flex-wrap-reverse">

        <div class="flex flex-row scroll-pl-6 snap-x w-50 sm:flex-col sm:w-40 m-1 sm:m-8">
            <div class="snap-start flex w-1/6 grow sm:w-auto sm:grow-0 justify-center p-2">
                <img class="hover:scale-125" src="img/Astellas_icono_text.svg" alt="Astellas icono">
            </div>
            <div class="snap-start flex w-1/6 sm:w-auto grow justify-center p-2">
                <img class="items-center my-8 hover:scale-125 h-5/6" src="img/logo_stp.svg" alt="Logo STP">
            </div>
            <div class="snap-start flex w-1/6 sm:w-auto grow sm:grow-0 justify-center bottom-0 p-2">
                <img class="hover:scale-125" src="img/byK2.svg" alt="K2 icono">
            </div>
        </div>

        <div class="border grow h-screen fondo-rojo">
            <div class="flex ml-10 mt-14 w-2/6 py-5">
                <div class="carta inset-0 w-full my-8 py-5 min-w-max max-w-sm">
                    <div class="mt-8 text-center min-w-full">
                        <p class="text-crimson text-3xl">Inicio de Sesión</p>
                    </div>
                    <div class="mt-2 text-center">
                        <p class="text-sm">Bienvenido a nuestro sistema</p>
                    </div>
                    <div class="text-center mb-4">
                        <p class="text-astellas_ligh text-sm">Plataforma de inteligencia y gestión de datos</p>
                    </div>
                    <?php if(Session::get('mensaje2')): ?>
                    <div class="alert alert-<?php echo e(Session::get('tipo2')); ?> alert-dismissible fade show" role="alert">
                        <?php echo Session::get('icono2'); ?>

                        <?php echo e(Session::get('mensaje2')); ?>

                    </div>
                    <?php endif; ?>
                    <div class="flex flex-col space-y-4">
                        <form class="justify-center" role="form" action="validate" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="flex justify-center my-4 h-9">
                                <input name="nick" class="z-10 input-form w-4/6 text-center" placeholder="Usuario" required>
                            </div>
                            <div class="flex justify-center h-9">
                                <input type="password" name="password" class="z-10 input-form text-center text-astellas_ligh_text w-4/6" placeholder="Contraseña" required>
                            </div>
                            <div class="form-group">
                                <br>
                                <?php if(Session::get('mensaje')): ?>
                                <div class="alert text-center alert-<?php echo e(Session::get('tipo')); ?> alert-dismissible fade show" role="alert">
                                    <?php echo Session::get('icono'); ?>

                                    <?php echo e(Session::get('mensaje')); ?>

                                </div>
                                <?php endif; ?>
                            </div>
                            <div class="flex justify-start min-w-full">
                                <input type="Submit" class="z-10 bg-Astellas_Dark_Red w-3/6 btn-login ml-16 text-blanco" value="Ingresar">
                            </div>
                            </a><br>

                        </form>
                    </div>
                </div>
            </div>
            <div class="absolute inset-y-0 right-0 h-full">
                <img class="h-full" src="img/Icono_fondo_astellas.svg" alt="">
            </div>
        </div>
    </div></div>
</body>

</html><?php /**PATH C:\Users\hOME\Documents\Laravel\HSI\stpastellas\resources\views/login.blade.php ENDPATH**/ ?>