<!DOCTYPE html>
<html>

<!DOCTYPE html>
<html>

<head>
    <link rel="icon" type="image/png" href="<?php echo e(url('img/lpp_icono.svg')); ?>">
    <!-- CSS only -->
    <!-- JavaScript Bundle with Popper -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdn.tailwindcss.com"></script>
    <style type="text/tailwindcss">
        @layer  utilities {
          .titulo{
              -webkit-text-stroke: 1px black;
          }
        }.fondoLPP{background: linear-gradient(180deg, #FFD9B4 0%, #FFB4D0 100%);}
      </style>
    <script>
        tailwind.config = {
            theme: {
                extend: {
                    colors: {
                        dimGrey: '#555759',
                        fondo: '#F1F1F1'
                    }
                }
            }
        }
    </script>
    <link href="//cdn.datatables.net/1.10.21/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css">
    <script src="//cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
</head>

<body class="fondoLPP">
    <a href="logout" class="absolute left-0 top-0">
        <img class="h-1/6 w-3/6" src="<?php echo e(url('img/icono_salir.svg')); ?>" alt="Icono Salir">
    </a>

    <div class="grid gap-4 grid-cols-1 m-8">
        <div class="flex flex-row h-full justify-center">
            <h1 class="text-center text-3xl italic font-bold underline text-fondo titulo">
                Registros - Leche Pal Pelo
            </h1>
            <img class="h-3/6" src="<?php echo e(url('img/lpp_icono.svg')); ?>" alt="">
        </div>
        <div class="grid grid-cols-7 gap-4">
            <div class="grid col-span-7 sm:col-span-1 border border-white text-center h-full place-items-center">
                <div>
                    <h3 class="titulo">Total usuarios:</h3>
                    <p id="total"> </p>
                </div>
            </div>

            <div class="col-span-7 sm:col-span-4 border border-white">
                <canvas id="ChartTipo"></canvas>
            </div>
            <div class="col-span-7 sm:col-span-2 border border-white">
                <canvas id="ChartComo"></canvas>
            </div>
        </div>
        <div class="overflow-x-auto">
            <table id="tabla" class="table-fixed border hover:relieve border-collapse border-slate-400  sm:w-full">
                <thead class="text-center">
                    <tr>
                        <th class="border w-14 sm:w-auto">Nombre </th>
                        <th class="border w-64 sm:w-1/4">Email</th>
                        <th class="border w-28 sm:w-auto">Tipo de pelo</th>
                        <th class="border w-32 sm:w-auto">¿Cómo es?</th>
                    </tr>
                </thead>
                <tbody class="text-dimGrey">
                </tbody>
            </table>
        </div>
    </div>
    <script type="module">
        import {
            initializeApp
        } from "https://www.gstatic.com/firebasejs/9.14.0/firebase-app.js";
        import {
            getDatabase,
            set,
            get,
            child,
            update,
            ref,
            onValue
        } from "https://www.gstatic.com/firebasejs/9.14.0/firebase-database.js";
        import {
            getAuth,
            updateProfile,
            createUserWithEmailAndPassword,
            signInWithEmailAndPassword,
            signOut,
            onAuthStateChanged,
            GoogleAuthProvider,
            signInWithPopup,
            FacebookAuthProvider
        } from "https://www.gstatic.com/firebasejs/9.14.0/firebase-auth.js";

        const firebaseConfig = {
            apiKey: "AIzaSyBhMuPuehNOofYe5DqGWlf_iXn48U36c3Y",
            authDomain: "lechepalpelo-website.firebaseapp.com",
            databaseURL: "https://lechepalpelo-website-default-rtdb.firebaseio.com",
            projectId: "lechepalpelo-website",
            storageBucket: "lechepalpelo-website.appspot.com",
            messagingSenderId: "901758779847",
            appId: "1:901758779847:web:9816ca4f745639f9a159e2"
        };

        const app = initializeApp(firebaseConfig);
        const database = getDatabase(app);
        const auth = getAuth(app);
        const db = getDatabase();

        signInWithEmailAndPassword(auth, "admin@admin.com", "adminAst2022")
            .then((userCredential) => {}).catch((error) => {
                console.error(error);
            });

        const starCountRef = ref(db, 'users/');
        onValue(starCountRef, (snapshot) => {
            var datos = (snapshot.val());
            var tableData = [];
            var countdeseo = [];
            var countcomo_es = [];
            var counttipo = [];
            snapshot.forEach((doc) => {
                const user = (doc.val());
                var nombre = user.nombre,
                    email = user.email,
                    tipo = user.tipo,
                    como_es = user.como_es,
                    deseo = user.deseo;
                if (email == undefined) {
                    var email = "-"
                }
                if (deseo == undefined) {
                    var deseo = "Sin Deseo"
                }
                countdeseo.push(deseo);
                countcomo_es.push(como_es);
                counttipo.push(tipo);
                tableData.push([
                    nombre,
                    email,
                    tipo,
                    como_es
                ]);
            });
            const resultadodeseos = countdeseo.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {})
            const resultadocomo_es = countcomo_es.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {})
            const resultadotipo = counttipo.reduce((prev, cur) => ((prev[cur] = prev[cur] + 1 || 1), prev), {})

            grafica(resultadodeseos, resultadocomo_es, resultadotipo);
            $("#total").text(tableData.length);
            $('#tabla').DataTable({
                retrieve: true,
                responsive: true,
                data: tableData,
                "scrollCollapse": true,
                "language": {
                    "lengthMenu": "Mostrar _MENU_ usuarios por página",
                    "search": "Buscar",
                    "zeroRecords": "Sin Resultados Coincidentes",
                    "paginate": {
                        "first": "Primera",
                        "last": "Ultima",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                    "info": "Mostrando _START_ de _END_ de un total de _TOTAL_ Registros",
                    "infoFiltered": "( filtrado de _MAX_ registros totales )"
                },
            });
        });
    </script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

    <script>
        function grafica(datosdeseos, datoscomo_es, datostipo) {
            const nombresdeseos = (Object.keys(datosdeseos));
            const nombrescomo_es = (Object.keys(datoscomo_es));
            const valorcomo_es = (Object.values(datoscomo_es));
            const nombrestipo = (Object.keys(datostipo));
            const ctxcomo = document.getElementById('ChartComo');
            new Chart(ctxcomo, {
                type: 'doughnut',
                data: {
                    labels: nombrescomo_es,
                    datasets: [{
                        label: 'Cantidad',
                        data: valorcomo_es,
                        borderWidth: 1
                    }]
                },
                options: {
                    responsive: true,
                    plugins: {
                        legend: {
                            position: 'top',
                        },
                        title: {
                            display: true,
                            text: '¿Como Es?'
                        }
                    }
                },
            });
            const ctxtipo = document.getElementById('ChartTipo');
            new Chart(ctxtipo, {
                type: 'bar',
                data: {
                    labels: nombrestipo,
                    datasets: [{
                        label: 'Tipo',
                        data: datostipo,
                        backgroundColor: [
                            'rgba(75, 192, 192)'
                        ],
                        borderColor: [
                            'rgba(75, 192, 192)'
                        ],
                        borderWidth: 1
                    }]
                },
                options: {
                    scales: {
                        y: {
                            beginAtZero: true
                        }
                    }
                }
            });
        }
    </script>
</body>

</html><?php /**PATH C:\Users\hOME\Documents\Laravel\HSI\stpLPP\resources\views/tabla/index.blade.php ENDPATH**/ ?>